#include <AfxWin.h>
#include <AfxExt.h>
#include <ddraw.h>
#include <d3d.h>
#include <d3drm.h>
#include <d3drmwin.h>
#include "DecalApp.h"
#include "DecalWin.h"
#include "resource.h"


BEGIN_MESSAGE_MAP(DecalApp, RMApp)
	//{{AFX_MSG_MAP(DecalApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

DecalApp theapp;

BOOL DecalApp::InitInstance()
{
#ifdef _DEBUG
	afxTraceEnabled=FALSE;
#endif
	DecalWin* win=new DecalWin;
	if (!win->Create("Decal",IDI_ICON,IDR_MAINMENU))
		return FALSE;
	win->SetColorModel(D3DCOLOR_MONO);
	m_pMainWnd=win;
	return RMApp::InitInstance();
}
